//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_HotkeyHandlerWrap
{
    public static void Register(LuaState L)
    {
        L.BeginClass(typeof(HotkeyHandler), typeof(System.Object));
        L.RegFunction("SetKeyUpCallback",FUNCTAG_SetKeyUpCallback);
        L.RegFunction("SetKeyDownCallback",FUNCTAG_SetKeyDownCallback);
        L.RegFunction("AddHotKey",FUNCTAG_AddHotKey);
        L.RegFunction("DelHotKey",FUNCTAG_DelHotKey);
        L.RegVar("Instance",FUNCTAG_get_Instance, null);
        L.EndClass();
    }

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetKeyUpCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			HotkeyHandler obj = (HotkeyHandler)ToLua.CheckObject(L, 1, typeof(HotkeyHandler));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
            obj.FUNCTAG_SetKeyUpCallback(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetKeyDownCallback(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			HotkeyHandler obj = (HotkeyHandler)ToLua.CheckObject(L, 1, typeof(HotkeyHandler));
			LuaFunction arg0 = ToLua.CheckLuaFunction(L, 2);
			obj.FUNCTAG_SetKeyDownCallback(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_AddHotKey(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			HotkeyHandler obj = (HotkeyHandler)ToLua.CheckObject(L, 1, typeof(HotkeyHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.FUNCTAG_AddHotKey(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_DelHotKey(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			HotkeyHandler obj = (HotkeyHandler)ToLua.CheckObject(L, 1, typeof(HotkeyHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.FUNCTAG_DelHotKey(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_Instance(IntPtr L)
	{
		try
		{
			ToLua.PushObject(L, HotkeyHandler.Instance);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

